Package org.eclipse.net4j.util.ui

# Class ColorStyler

java.lang.Object
org.eclipse.jface.viewers.StyledString.Styler
org.eclipse.net4j.util.ui.ColorStyler

public final class ColorStyler extends StyledString.Styler

Since:
  3.19
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ColorStyler(Color color)`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyStyles(TextStyle textStyle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ColorStyler

public ColorStyler(Color color)

## Method Details

### applyStyles

public void applyStyles(TextStyle textStyle)

Specified by:
  `applyStyles` in class `StyledString.Styler`